QwtPickerDragRectMachine(3)

NAME
QwtPickerDragRectMachine -

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Member Functions
QwtPickerDragRectMachine ()
virtual QList< Command > transition (const QwtEventPattern &, const QEvent *)

  Additional Inherited Members

Detailed Description

A state machine for rectangle selections. Pressing QwtEventPattern::MouseSelect1 selects the first point, releasing it the second point. Pressing QwtEventPattern::KeySelect1 also selects the first point, a second press selects the second point and terminates the selection.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.